RK-A2 - Task #3661

Allowed origins should be based on getenv(allowed_origins)

07/14/2024 10:10 AM - Ram Kordale

Status: Review
Priority: High
Assignee: Md Shahzar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

07/13/2024

100%
0.40 hour
0.00 hour

Description

Today, get_allowed_origins is hardcoded to rapidken.ai or * based on the env. Sometimes, we will need gcf to be accessed by
another set of hosts. To allow this, check getenv(allowed_origins). if it is non-empty, set allowed origins in rk2_gcf based on it (which

provides a comma separated list of hosts).

History

#1 - 07/14/2024 10:37 AM - Ram Kordale
- Estimated time set to 0.40 h

#2 - 07/14/2024 01:44 PM - Ram Kordale

- Assignee set to Dewakar Chaubey

#3 - 07/15/2024 04:38 AM - Dewakar Chaubey

- Status changed from New to In Progress

#4 - 07/15/2024 06:08 AM - Dewakar Chaubey
- % Done changed from 0 to 60

#5 - 07/15/2024 07:46 AM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

#6 - 07/15/2024 07:47 AM - Dewakar Chaubey
- Status changed from Resolved to Review

- Assignee changed from Dewakar Chaubey to Shubham Boke

#7 - 07/18/2024 09:06 AM - Shubham Boke
- Assignee changed from Shubham Boke to Md Shahzar

04/03/2025
